Package com.emc.documentum.rest.model

# Class AtomFeed<T extends AtomEntry>

java.lang.Object
com.emc.documentum.rest.model.AtomFeed<T>

All Implemented Interfaces:
  `Linkable`

public class AtomFeed<T extends AtomEntry> extends Object implements Linkable
Atom feed

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtomFeed()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AtomAuthor>`
  `getAuthors()`
  Get authors of atom feed
  `List<AtomEntry>`
  `getEntries()`
  Get entries of atom feed
  `List<T>`
  `getGenericEntries()`
  Get generic entries of atom feed
  `String`
  `getId()`
  Get atom feed id
  `Integer`
  `getItemsPerPage()`
  Get items number per page
  `List<Link>`
  `getLinks()`
  Get links of atom feed
  `Integer`
  `getPage()`
  Get page number
  `String`
  `getTitle()`
  Get atom feed title
  `Integer`
  `getTotal()`
  Get total entries number of the atom feed
  `Date`
  `getUpdated()`
  Get atom feed updated date
  `void`
  `setAuthors(List<AtomAuthor> authors)`
  Set authors of atom feed
  `void`
  `setEntries(List<AtomEntry> entries)`
  Set entries of atom feed
  `void`
  `setGenericEntries(List<T> entries)`
  Set generic entries of atom feed
  `void`
  `setId(String id)`
  Set atom feed id
  `void`
  `setItemsPerPage(Integer itemsPerPage)`
  Set items number per page
  `void`
  `setLinks(List<Link> links)`
  Set links of atom feed
  `void`
  `setPage(Integer page)`
  Set page number
  `void`
  `setTitle(String title)`
  Set atom feed title
  `void`
  `setTotal(Integer total)`
  Set total entries number of the atom feed
  `void`
  `setUpdated(Date updated)`
  Set atom feed updated

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtomFeed

    public AtomFeed()

- ## Method Details

  - ### getTitle

    public String getTitle()
    Get atom feed title
    Returns:
      atom feed title

  - ### setTitle

    public void setTitle(String title)
    Set atom feed title
    Parameters:
      `title` - atom feed title

  - ### getId

    public String getId()
    Get atom feed id
    Returns:
      atom feed id

  - ### setId

    public void setId(String id)
    Set atom feed id
    Parameters:
      `id` - atom feed id

  - ### getUpdated

    public Date getUpdated()
    Get atom feed updated date
    Returns:
      atom feed updated date

  - ### setUpdated

    public void setUpdated(Date updated)
    Set atom feed updated
    Parameters:
      `updated` - atom feed updated date

  - ### getTotal

    public Integer getTotal()
    Get total entries number of the atom feed
    Returns:
      the total number of object at the server side

  - ### setTotal

    public void setTotal(Integer total)
    Set total entries number of the atom feed
    Parameters:
      `total` - the total number of objects at the server side

  - ### getPage

    public Integer getPage()
    Get page number
    Returns:
      page number

  - ### setPage

    public void setPage(Integer page)
    Set page number
    Parameters:
      `page` - page number

  - ### getItemsPerPage

    public Integer getItemsPerPage()
    Get items number per page
    Returns:
      items number per page

  - ### setItemsPerPage

    public void setItemsPerPage(Integer itemsPerPage)
    Set items number per page
    Parameters:
      `itemsPerPage` - items number per page

  - ### getLinks

    public List<Link> getLinks()
    Get links of atom feed
    Specified by:
      `getLinks` in interface `Linkable`
    Returns:
      links of atom feed

  - ### setLinks

    public void setLinks(List<Link> links)
    Set links of atom feed
    Specified by:
      `setLinks` in interface `Linkable`
    Parameters:
      `links` - links of atom feed

  - ### getAuthors

    public List<AtomAuthor> getAuthors()
    Get authors of atom feed
    Returns:
      authors of atom feed

  - ### setAuthors

    public void setAuthors(List<AtomAuthor> authors)
    Set authors of atom feed
    Parameters:
      `authors` - authors of atom feed

  - ### getEntries

    public List<AtomEntry> getEntries()
    Get entries of atom feed
    Returns:
      entries of atom feed

  - ### setEntries

    public void setEntries(List<AtomEntry> entries)
    Set entries of atom feed
    Parameters:
      `entries` - entries of atom feed

  - ### getGenericEntries

    public List<T> getGenericEntries()
    Get generic entries of atom feed
    Returns:
      entries of atom feed

  - ### setGenericEntries

    public void setGenericEntries(List<T> entries)
    Set generic entries of atom feed
    Parameters:
      `entries` - entries of atom feed